## org.eclipse.emf.ecore.xml.namespace
Interface XMLNamespaceFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  XMLNamespaceFactoryImpl

    public interface XMLNamespaceFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `XMLNamespacePackage`

Field Summary
`static XMLNamespaceFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`XMLNamespaceDocumentRoot` `createXMLNamespaceDocumentRoot()` Returns a new object of class 'Document Root'
`XMLNamespacePackage` `getXMLNamespacePackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final XMLNamespaceFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createXMLNamespaceDocumentRoot

    XMLNamespaceDocumentRoot createXMLNamespaceDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### getXMLNamespacePackage

    XMLNamespacePackage getXMLNamespacePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.